Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Supporting editor API #2391

Closed
rilwis opened this issue Aug 14, 2017 · 1 comment

Comments

Projects
None yet
2 participants
@rilwis
Copy link

commented Aug 14, 2017

Hi,

In the WordPress version 4.8, the new editor API was introduced to help developers to create editors from JavaScript. Previously, this can be done only by calling wp_editor() function in PHP.

This helps a lot in working with the editor from JavaScript. We can transform a textarea into an editor, add buttons or remove them. Of course it supports only TinyMCE.

As the API was just added in version 4.8, I hope this API is considered in Gutenberg. Our team has worked on the new API and it turned out very well. A lot of unnecessary code is removed and the whole project looks cleaner.

@mtias

This comment has been minimized.

Copy link
Contributor

commented Nov 20, 2017

This is a different editor and would offer different ways of reusing as distinct modules. That said, feel free to add the ways in which you are using the wp_editor() API at the moment to give more context. Thanks!

@mtias mtias closed this Nov 20, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.